HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetTransfersIdReversals

Contains the different functions to run the operation getTransfersIdReversals

  • 3 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports6
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetTransfersIdReversals.hs
valuegetTransfersIdReversals
  1. :: MonadHTTP m
  2. => GetTransfersIdReversalsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetTransfersIdReversalsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/transfers/{id}/reversals

<p>You can see a list of the reversals belonging to a specific transfer. Note that the 10 most recent reversals are always available by default on the transfer object. If you need more than those 10, you can use this API method and the <code>limit</code> and <code>starting_after</code> parameters to page through additional reversals.</p>

Defines the object schema located at paths./v1/transfers/{id}/reversals.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getTransfersIdReversals.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetTransfersIdReversalsResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/transfers/{id}/reversals.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON